function E = E_vis(omega)
% complex gate-pulse spectrum
c = 299792.5e3;
lambda0 = 800e-9;
FWHM = 100e-9;
%
omega0 = 2*pi*c/lambda0;
FWHM = 2*pi*c*(1/(lambda0 -FWHM/2) - 1/(lambda0 +FWHM/2));
h = FWHM/(2*sqrt(log(2)));
E = sqrt(exp(-((omega-omega0)/h).^2)/h); % no chirp
end